net.corda.contracts.asset

## Class Commands.Move

- net.corda.contracts.asset.Cash.Commands.Move

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands, Commands.Move, MoveCommand
  Enclosing interface:
    Cash.Commands

      public static class Commands.Move
      implements Commands.Move, Cash.Commands

  A command stating that money has been moved, optionally to fulfil another contract.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Cash.Commands

      `Commands.Exit, Commands.Issue, Commands.Move`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Move(SecureHash contractHash)` A command stating that money has been moved, optionally to fulfil another contract.
    `Move()` A command stating that money has been moved, optionally to fulfil another contract.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `component1()` Contract code the moved state
    `Commands.Move` | `copy(SecureHash contractHash)` A command stating that money has been moved, optionally to fulfil another contract.
    `boolean` | `equals(java.lang.Object p)`
    `SecureHash` | `getContractHash()` Contract code the moved state
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.MoveCommand

      `getContractHash`

- - ### Constructor Detail

    - #### Move

          public Move(SecureHash contractHash)

      A command stating that money has been moved, optionally to fulfil another contract.

      Parameters:
        `contractHash` - Contract code the moved state(s)are for the attention of,for example to indicate that the states are moved inorder to settle an obligation contract's state object(s).
        `contractHash` - the contract this move is for the attention of. Only that contract's verify function should take the moved states into account when considering whether it is valid. Typically this will be null.

    - #### Move

          public Move()

      A command stating that money has been moved, optionally to fulfil another contract.

  - ### Method Detail

    - #### getContractHash

          public SecureHash getContractHash()

      Contract code the moved state

      (s)are for the attention of,for example to indicate that the states are moved inorder to settle an obligation contract's state object(s).

    - #### component1

          public SecureHash component1()

      Contract code the moved state

      (s)are for the attention of,for example to indicate that the states are moved inorder to settle an obligation contract's state object(s).

    - #### copy

          public Commands.Move copy(SecureHash contractHash)

      A command stating that money has been moved, optionally to fulfil another contract.

      Parameters:
        `contractHash` - the contract this move is for the attention of. Only that contract's verify function should take the moved states into account when considering whether it is valid. Typically this will be null.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)